Bug 230438 - multimedia/gstreamer-ffmpeg: fix build on arm64
Summary: multimedia/gstreamer-ffmpeg: fix build on arm64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: needs-qa, patch
Depends on:
Blocks: 201763
  Show dependency treegraph
 
Reported: 2018-08-07 14:21 UTC by mikael.urankar
Modified: 2018-08-20 10:42 UTC (History)
3 users (show)

See Also:
riggs: maintainer-feedback+
riggs: merge-quarterly+


Attachments
patch (1.37 KB, patch)
2018-08-07 14:21 UTC, mikael.urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mikael.urankar 2018-08-07 14:21:37 UTC
Created attachment 195976 [details]
patch

libav uses uname -m to detect the hw platform, which is arm64 on aarch64. libav lacks an arm64|aarch64 case in its configure script and thinks it's an arm system.
The attached patch fixes the build on aarch64.
Comment 1 Jan Beich freebsd_committer 2018-08-19 09:00:44 UTC
Comment on attachment 195976 [details]
patch

As ARCH_LIST still lacks aarch64 configure still shows "WARNING: unknown architecture aarch64" but that's cosmetic.
https://git.libav.org/?p=libav.git;a=commitdiff;h=5873b623a93
Comment 3 Thomas Zander freebsd_committer 2018-08-19 10:50:09 UTC
(In reply to mikael.urankar from comment #2)

I am building on 11 as well. Takes a bit of time on qemu-aarch64-static, though :-)
Comment 4 commit-hook freebsd_committer 2018-08-20 10:36:47 UTC
A commit references this bug:

Author: riggs
Date: Mon Aug 20 10:36:03 UTC 2018
New revision: 477647
URL: https://svnweb.freebsd.org/changeset/ports/477647

Log:
  Fix build on aarch64

  PR:		230438
  Submitted by:	mikael.urankar@gmail.com
  MFH:		2018Q3

Changes:
  head/multimedia/gstreamer-ffmpeg/Makefile
  head/multimedia/gstreamer-ffmpeg/files/patch-gst-libs_ext_libav_configure
Comment 5 commit-hook freebsd_committer 2018-08-20 10:37:50 UTC
A commit references this bug:

Author: riggs
Date: Mon Aug 20 10:37:38 UTC 2018
New revision: 477648
URL: https://svnweb.freebsd.org/changeset/ports/477648

Log:
  MFH: r477647

  Fix build on aarch64

  PR:		230438
  Submitted by:	mikael.urankar@gmail.com

  Approved by:	ports-secteam (riggs)

Changes:
_U  branches/2018Q3/
  branches/2018Q3/multimedia/gstreamer-ffmpeg/Makefile
  branches/2018Q3/multimedia/gstreamer-ffmpeg/files/patch-gst-libs_ext_libav_configure